<?php

use \googleshopping\exception\Connection as ConnectionException;
use \googleshopping\Googleshopping;

class ModelExtensionModuleFreeshipping extends Model
{
    public function install()
    {
        $this->db->query("CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "freeshipping_product` (
            `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
            `product_id` INT(11),
            `is_freeshipping` TINYINT(1) NOT NULL DEFAULT 0,
             PRIMARY KEY (`id`),
            UNIQUE `product_id_is_freeshipping` (`product_id`, `is_freeshipping`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8");


    }


    public function uninstall()
    {
        $this->db->query("DROP TABLE IF EXISTS `" . DB_PREFIX . "freeshipping_product`");
    }


}
